echo off
rem Batch file returns parameters of I2CEEProm types.
rem Add more specific types at the bottom
set pagesize=& set writetime=& set rd64=1
rem N.B. NO SPACE before &. It will be in the define string and muck it up later
if /I [%1]==[24xx00] set pointerbytes=1& set pagesize=1& set writetimehex=5& set rd64=00& goto done  
if /I [%1]==[24xx01] set pointerbytes=1& set pagesize=8& set writetimehex=5& set rd64=01& goto done  
if /I [%1]==[24xx02] set pointerbytes=1& set pagesize=8& set writetimehex=5& set rd64=02& goto done  
if /I [%1]==[24xx04] set pointerbytes=1& set pagesize=16& set writetimehex=5& set rd64=04& goto done  
if /I [%1]==[24xx08] set pointerbytes=1& set pagesize=16& set writetimehex=5& set rd64=08& goto done  
if /I [%1]==[24xx16] set pointerbytes=1& set pagesize=16& set writetimehex=5& set rd64=16& goto done  
if /I [%1]==[24xx32] set pointerbytes=2& set pagesize=32& set writetimehex=5& set rd64=32& goto done  
if /I [%1]==[24xx64] set pointerbytes=2& set pagesize=32& set writetimehex=5& set rd64=64& goto done  
if /I [%1]==[24xx128] set pointerbytes=2& set pagesize=64& set writetimehex=5& set rd64=128& goto done  
if /I [%1]==[24xx256] set pointerbytes=2& set pagesize=64& set writetimehex=5& set rd64=256& goto done  
if /I [%1]==[24xx512] set pointerbytes=2& set pagesize=128& set writetimehex=5& set rd64=512& goto done  
if /I [%1]==[24LC1025] set pointerbytes=2& set pagesize=128& set writetimehex=5& set rd64=1024& goto done  
if /I [%1]==[24M02] set pointerbytes=2& set pagesize=256& set writetimehex=A& set rd64=2048& goto done  
if /I [%1]==[24M04] set pointerbytes=2& set pagesize=256& set writetimehex=A& set rd64=4096& goto done  

echo ****** ERROR: Unknown EEProm Type %1 (in I2CEEPromTypes.bat) ******************
exit /B 1

:done
set rdpagesize=%pagesize%
if %pagesize% GEQ 128 set rdpagesize=128
echo %1, %pointerbytes%,%pagesize%,%writetimehex%,%rd64%,%rdpagesize%

exit /B 0
